package vip.xiaonuo.biz.modular.bizappointmentrecord.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import lombok.Data;

@Data
public class BizLoadAppointmentExportResult {
    /** 订单编号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "起卸单号"})
    private String loadNumber;

    /** 车牌号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "车牌号"})
    private String licenseNumber;

    /** 客户名称 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "客户名称"})
    private String customerName;

    /** 货品名称*/
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "货品名称"})
    private String goodsName;

    /** 货品规格*/
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "货品编码"})
    private String goodsCode;

    /** 司机姓名 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "司机姓名"})
    private String driverName;

    /** 司机电话 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "司机电话"})
    private String driverMobile;

    /** 司机电话 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "车辆轴数"})
    private String axleNumber;

    /** 预约状态*/
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"起卸预约报表", "预约状态"})
    private String statusName;
}
