package vip.xiaonuo.biz.modular.bizappointmentrecord.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import lombok.Data;

@Data
public class BizOtherAppointmentExportResult {

    /**
     * 其他预约_预约单号
     */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "其他预约_预约单号"})
    private String otherNumber;
    /** 车牌号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "车牌号"})
    private String licenseNumber;
    /** 司机姓名 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "司机姓名"})
    private String driverName;
    /** 司机电话 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "司机电话"})
    private String driverMobile;
    /** 预约状态*/
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "预约状态"})
    private String statusName;


    /** 是否过磅 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "是否过磅"})
    private String isWeigh;


    /** 备注 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "备注"})
    private String remark;


    /**
     * 其他预约_强制结束操作人
     */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "其他预约_强制结束操作人"})
    private String exitOperator;
    /**
     * 其他预约_强制结束操作时间
     */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "其他预约_强制结束操作时间"})
    private String exitTime;

    /**
     * 其他预约_授权离场操作人
     */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "其他预约_授权离场操作人"})
    private String authorizeOperator;
    /**
     * 其他预约_授权离场操作时间
     */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"其他预约报表", "其他预约_授权离场操作时间"})
    private String authorizeTime;



}
