package vip.xiaonuo.biz.modular.bizappointmentrecord.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import lombok.Data;

import java.util.Date;

@Data
public class BizPipeAppointmentExportResult {
    /** 订单编号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "管桩计划单号"})
    private String planNumber;

    /** 车牌号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "车牌号"})
    private String licenseNumber;

    /** 司机姓名 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "司机姓名"})
    private String driverName;

    /** 司机电话 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "司机电话"})
    private String driverMobile;

    /** 入场时间 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "入场时间"})
    private Date enterTime;

    /** 出场时间 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "出场时间"})
    private Date leaveTime;

    /** 预约状态*/
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"管桩预约报表", "预约状态"})
    private String statusName;
}
